# odoo-deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: odoo
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: odoo
  template:
    metadata:
      labels:
        app: odoo
    spec:
      containers:
      - name: odoo
        image: odoo:14
        ports:
        - containerPort: 8069
        env:
        - name: HOST
          value: "postgres"
        - name: USER
          valueFrom:
            secretKeyRef:
              name: postgres-secret
              key: POSTGRES_USER
        - name: PASSWORD
          valueFrom:
            secretKeyRef:
              name: postgres-secret
              key: POSTGRES_PASSWORD
        - name: DATABASE
          valueFrom:
            secretKeyRef:
              name: postgres-secret
              key: POSTGRES_DB
        volumeMounts:
        - mountPath: /var/lib/odoo
          name: odoo-data
        - mountPath: /etc/odoo/odoo.conf
          subPath: odoo.conf
          name: odoo-config
      volumes:
      - name: odoo-data
        persistentVolumeClaim:
          claimName: odoo-pvc
      - name: odoo-config
        configMap:
          name: odoo-config
